POST /squad_analysis endpoint calculates the total expected transfer fee and total future transfer value of a squad, by taking the sum of these values for each player in the squad. Furthermore, it calculates the expected end rank in the club’s competition with the given squad.
If no squad is provided, the endpoint assumes the current real life squad for the provided club. However, the user can provide a squad object in the request. Players can be removed from the squad or added with their assumed position. This way, the user can easily simulate the effect of certain transfers (not) happening. For stable competition simulations, it’s advised to only perform minor perturbations on existing squads and keep provided squads realistic and balanced.
The analysis is always run against the 2026/2027 season. Season is not yet a request parameter. The
club_id must be club inside your coverage. Contact SquadAssist to adjust access.The squad object used for the calculations is echoed in the response. The user can do the first request without providing a squad, and start from the echoed default squad object for ‘what if’ analysis.
Request
The request body must be a JSON object.string
required
The SquadAssist club ID for the club. Contact SquadAssist to confirm which club IDs are available on your plan. Use
POST /query_club to look up the ID.list[object]
Echo of the assumed squad during the simulations and calculations of the request. If no squad is provided by the user, returns the actual squad of the club.
string
An ISO 4217 currency code (e.g.
EUR, GBP, USD). All input amounts (annual_wage, expected_transfer_value) are interpreted in this currency. Defaults to EUR.Response
The response is a JSON object containing each component of the squad analysis. All monetary values are provided in both the requested currency and EUR.string
The SquadAssist club ID for the club.
string
The ISO 4217 currency code used for all non-EUR monetary values in the response. Matches your
currency_code input, or EUR if none was provided.integer
The expected rank for the club in its current domestic league and season.
list[object]
Echo of the assumed squad during the simulations and calculations of the request. If no squad is provided by the user, returns the actual squad of the club.
integer
The amount of players in the squad used in this request.
string
Flag to indicate whether the user has provided a squad, or the calculations used the actual squad of the club. Value is either “custom” or “actual”
int
The sum of the expected transfer fee of all players in the squad, in the requested currency.
int
The sum of the expected transfer fee of all players in the squad, in euro.
int
The sum of the future transfer value (in 3 years) of all players in the squad, in the requested currency.
int
The sum of the future transfer value (in 3 years) of all players in the squad, in euro.
